/*******************************************************************************
*     This file is owned and controlled by Xilinx and must be used             *
*     solely for design, simulation, implementation and creation of            *
*     design files limited to Xilinx devices or technologies. Use              *
*     with non-Xilinx devices or technologies is expressly prohibited          *
*     and immediately terminates your license.                                 *
*                                                                              *
*     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"            *
*     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR                  *
*     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION          *
*     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION              *
*     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS                *
*     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,                  *
*     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE         *
*     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY                 *
*     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE                  *
*     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR           *
*     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF          *
*     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS          *
*     FOR A PARTICULAR PURPOSE.                                                *
*                                                                              *
*     Xilinx products are not intended for use in life support                 *
*     appliances, devices, or systems. Use in such applications are            *
*     expressly prohibited.                                                    *
*                                                                              *
*     (c) Copyright 1995-2005 Xilinx, Inc.                                     *
*     All rights reserved.                                                     *
*******************************************************************************/
// The synopsys directives "translate_off/translate_on" specified below are
// supported by XST, FPGA Compiler II, Mentor Graphics and Synplicity synthesis
// tools. Ensure they are correct for your synthesis tool(s).

// You must compile the wrapper file ltengine.v when simulating
// the core, ltengine. When compiling the wrapper file, be sure to
// reference the XilinxCoreLib Verilog simulation library. For detailed
// instructions, please refer to the "CORE Generator Help".

`timescale 1ns/1ps

module ltengine(
	a,
	b,
	a_lt_b);


input [15 : 0] a;
input [15 : 0] b;
output a_lt_b;

// synopsys translate_off

      C_COMPARE_V8_0 #(
		"0",	// c_ainit_val
		0,	// c_b_constant
		"0000000000000000",	// c_b_value
		0,	// c_data_type
		0,	// c_enable_rlocs
		0,	// c_has_aclr
		0,	// c_has_aset
		0,	// c_has_a_eq_b
		0,	// c_has_a_ge_b
		0,	// c_has_a_gt_b
		0,	// c_has_a_le_b
		1,	// c_has_a_lt_b
		0,	// c_has_a_ne_b
		0,	// c_has_ce
		0,	// c_has_qa_eq_b
		0,	// c_has_qa_ge_b
		0,	// c_has_qa_gt_b
		0,	// c_has_qa_le_b
		0,	// c_has_qa_lt_b
		0,	// c_has_qa_ne_b
		0,	// c_has_sclr
		0,	// c_has_sset
		0,	// c_pipe_stages
		0,	// c_sync_enable
		1,	// c_sync_priority
		16)	// c_width
	inst (
		.A(a),
		.B(b),
		.A_LT_B(a_lt_b),
		.CLK(),
		.CE(),
		.ACLR(),
		.ASET(),
		.SCLR(),
		.SSET(),
		.A_EQ_B(),
		.A_NE_B(),
		.A_GT_B(),
		.A_LE_B(),
		.A_GE_B(),
		.QA_EQ_B(),
		.QA_NE_B(),
		.QA_LT_B(),
		.QA_GT_B(),
		.QA_LE_B(),
		.QA_GE_B());


// synopsys translate_on

// FPGA Express black box declaration
// synopsys attribute fpga_dont_touch "true"
// synthesis attribute fpga_dont_touch of ltengine is "true"

// XST black box declaration
// box_type "black_box"
// synthesis attribute box_type of ltengine is "black_box"

endmodule

