/*******************************************************************************
*     This file is owned and controlled by Xilinx and must be used             *
*     solely for design, simulation, implementation and creation of            *
*     design files limited to Xilinx devices or technologies. Use              *
*     with non-Xilinx devices or technologies is expressly prohibited          *
*     and immediately terminates your license.                                 *
*                                                                              *
*     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"            *
*     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR                  *
*     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION          *
*     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION              *
*     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS                *
*     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,                  *
*     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE         *
*     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY                 *
*     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE                  *
*     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR           *
*     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF          *
*     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS          *
*     FOR A PARTICULAR PURPOSE.                                                *
*                                                                              *
*     Xilinx products are not intended for use in life support                 *
*     appliances, devices, or systems. Use in such applications are            *
*     expressly prohibited.                                                    *
*                                                                              *
*     (c) Copyright 1995-2005 Xilinx, Inc.                                     *
*     All rights reserved.                                                     *
*******************************************************************************/
// The synopsys directives "translate_off/translate_on" specified below are
// supported by XST, FPGA Compiler II, Mentor Graphics and Synplicity synthesis
// tools. Ensure they are correct for your synthesis tool(s).

// You must compile the wrapper file variableshifterbase.v when simulating
// the core, variableshifterbase. When compiling the wrapper file, be sure to
// reference the XilinxCoreLib Verilog simulation library. For detailed
// instructions, please refer to the "CORE Generator Help".

`timescale 1ns/1ps

module variableshifterbase(
	CLK,
	P_LOAD,
	D,
	Q,
	LSB_2_MSB);


input CLK;
input P_LOAD;
input [15 : 0] D;
output [15 : 0] Q;
input LSB_2_MSB;

// synopsys translate_off

      C_SHIFT_FD_V7_0 #(
		"0000000000000000",	// c_ainit_val
		1,	// c_enable_rlocs
		0,	// c_fill_data
		0,	// c_has_aclr
		0,	// c_has_ainit
		0,	// c_has_aset
		0,	// c_has_ce
		1,	// c_has_d
		1,	// c_has_lsb_2_msb
		1,	// c_has_q
		0,	// c_has_sclr
		0,	// c_has_sdin
		0,	// c_has_sdout
		0,	// c_has_sinit
		0,	// c_has_sset
		2,	// c_shift_type
		"0000000000000000",	// c_sinit_val
		0,	// c_sync_enable
		1,	// c_sync_priority
		16)	// c_width
	inst (
		.CLK(CLK),
		.P_LOAD(P_LOAD),
		.D(D),
		.Q(Q),
		.LSB_2_MSB(LSB_2_MSB),
		.SDIN(),
		.CE(),
		.SDOUT(),
		.SCLR(),
		.SINIT(),
		.SSET(),
		.ACLR(),
		.AINIT(),
		.ASET());


// synopsys translate_on

// FPGA Express black box declaration
// synopsys attribute fpga_dont_touch "true"
// synthesis attribute fpga_dont_touch of variableshifterbase is "true"

// XST black box declaration
// box_type "black_box"
// synthesis attribute box_type of variableshifterbase is "black_box"

endmodule

